petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetDM

Sets the DM defining the data layout of the matrix

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode MatSetDM(Mat A, DM dm)

Not collective Many br

### Input Parameters

| A | - The Mat Many br
| dm | - The DM Many br

Many br

### See Also

MatGetDM(), DMCreateMatrix(), DMSetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html